﻿using System;
using System.ComponentModel.DataAnnotations;
using MvcDesign.Core.CoreDataModel;

namespace MvcDesign.Forum.ForumDataModel
{
    public class Post : IDataObject
    {
        [Key]
        public long? Id { get; set; }

        [Required]
        public long ThreadId { get; set; }

        public string Title { get; set; }

        public string Text { get; set; }

        [Required]
        public DateTime Created { get; set; }

        public DateTime? Modified { get; set; }

        public byte[] RowId { get; set; }

        public long? PollId { get; set; }

        public long AuthorId { get; set; }

        public long? ModifiedById { get; set; }
    }
}
