﻿using System;
using System.ComponentModel.DataAnnotations;
using MvcDesign.Core.CoreDataModel;

namespace MvcDesign.Forum.ForumDataModel
{
    public class Thread : IDataObject
    {
        [Key]
        public long? Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public DateTime Created { get; set; }

        public long SectionId { get; set; }

        public long AuthorId { get; set; }
    }
}
