﻿using System.Web.Mvc;

namespace Forum
{
    public class ForumAreaRegistration : AreaRegistration
    {
        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Forum_default",
                "Forum/{controller}/{action}/{id}",
                new {action = "Index", id = UrlParameter.Optional}
                );
        }

        public override string AreaName
        {
            get { return "Forum"; }
        }
    }
}