﻿using System;
using System.ComponentModel.DataAnnotations;
using MvcDesign.Core.CoreDataModel;

namespace MvcDesign.Forum.ForumDataModel
{
    public class PostModification : IDataObject
    {
        [Key]
        public long? Id { get; set; }

        public DateTime Date { get; set; }

        [Required]
        public long PostId { get; set; }

        public string PreviousMessage { get; set; }

        [Required]
        public long AuthorId { get; set; }
    }
}
