﻿using System.ComponentModel.DataAnnotations;
using MvcDesign.Core.CoreDataModel;

namespace MvcDesign.Forum.ForumDataModel
{
    public class Section : IDataObject
    {
        [Key]
        public long? Id { get; set; }

        [Required]
        public string Name { get; set; }

        public string Description { get; set; }

        public bool IsForum { get; set; }

        public long? ParentSectionId { get; set; }
    }
}
