﻿using System.Collections.Generic;
using MvcDesign.Forum.ForumViewModel;

namespace MvcDesign.Forum.ForumServices
{
    public interface IForumViewService
    {
        List<Section> GetAllSections();

        Section GetSection(long sectionId);

        SectionThread GetSectionThread(long threadId);

        Thread GetThread(long threadId, int pageNumber);

        int GetThreadPostCount(long threadId);

        int GetThreadLastPage(long threadId);
    }
}
